#
# spec file for package ghc-base64-bytestring
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name base64-bytestring
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.0.0.2
Release:        1.2
Summary:        Fast base64 encoding and decoding for ByteStrings
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-split-devel
BuildRequires:  ghc-test-framework-devel
BuildRequires:  ghc-test-framework-hunit-devel
BuildRequires:  ghc-test-framework-quickcheck2-devel
%endif

%description
This package provides support for encoding and decoding binary data according
to 'base64' (see also <https://tools.ietf.org/html/rfc4648 RFC 4648>) for
strict and lazy ByteStrings.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md

%changelog
* Wed Dec  5 2018 psimons@suse.com
- Update base64-bytestring to version 1.0.0.2.
  Upstream added a new change log file in this release. With no
  previous version to compare against, the automatic updater cannot
  reliable determine the relevante entries for this release.
* Sat Oct 20 2018 Peter Simons <psimons@suse.com>
- Use https URL to refer to bugs.opensuse.org.
* Wed Jul 18 2018 psimons@suse.com
- Cosmetic: replace tabs with blanks, strip trailing white space,
  and update copyright headers with spec-cleaner.
* Wed May 16 2018 psimons@suse.com
- Prefer the new %%license attribute over %%doc.
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.0.0.1 revision 0 with cabal2obs.
* Mon May 13 2013 peter.trommler@ohm-hochschule.de
- new packaging guidelines
  * no macros spanning multiple spec file sections
* Mon May 13 2013 peter.trommler@ohm-hochschule.de
- update to 1.0.0.1 from upstream
- performance improvements
  * encoding 5%%
  * decodeLenient 50%%
* Sun Nov 18 2012 peter.trommler@ohm-hochschule.de
- update to 1.0.0.0 from upstream
  * relaxed version constraints on bytestring
* Wed Oct  3 2012 peter.trommler@ohm-hochschule.de
- update to 0.1.2.0 from upstream
  * fixes joinWith (bug #7)
* Tue Jun  5 2012 peter.trommler@ohm-hochschule.de
- cabal2spec 0.25.5 template for spec file
* Fri Apr 20 2012 peter.trommler@ohm-hochschule.de
- Upgrade to 0.1.1.1 from upstream
  Fix performance regression in encoding.
  The encoding table wasn't being let-floated when URL encoding support was
  added, and so it was being regenerated on every call, with catastrophic
  performance consequences (600x slowdown for small inputs on my machine).
  This fixes gh-4.
* Fri Jan 20 2012 herbert@graeber-clan.de
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
